<!-- Main Content -->
<div class="page-wrapper">
    <div class="container-fluid">
        
        <div class="panel panel-default card-view">
            <div class="panel-heading">
                <div class="pull-left">
                    <h6 class="panel-title txt-dark">Administracion de usuarios</h6>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="panel-wrapper collapse in">
                <div class="panel-body">

                    <div class="row mt-10">
                        <div class="col-sm-10  mt-5"></div>
                        <div class="col-sm-2  mt-5">
                            <a routerLink="/registro_usuarios">
                            <button class="btn btn-primary btn-rounded btn-block btn-anim"><i class="fa fa-user-plus"></i><span class="btn-text">nuevo</span></button>
                            </a>
                        </div>
                    </div>

                    <div class="table-wrap mt-40">
                        <div class="table-responsive">
                            <table class="table table-striped mb-0">
                                <thead>
                                    <tr>
                                        <th>Usuario</th>
                                        <th>Nombre</th>
                                        <th>Apellido</th>
                                        <th>e-mail</th>
                                        <th class="text-nowrap">Acciones</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let usuario of usuarios">
                                        <td>{{usuario.name}}</td>
                                        <td>{{usuario.primer_nombre}}</td>
                                        <td>{{usuario.apellido}}</td>
                                        <td>{{usuario.email}}</td>
                                        <td class="text-nowrap">
                                            <a routerLink="/editar_usuarios/{{usuario.id}}" class="mr-25" data-toggle="tooltip" data-original-title="Edit" style="cursor:pointer">
                                                <i class="fa fa-pencil text-inverse m-r-10"></i>
                                            </a>
                                            <a (click)="BorrarUsuarios(usuario.id)" data-toggle="tooltip" data-original-title="Close" style="cursor:pointer">
                                                <i class="fa fa-close text-danger"></i>
                                            </a>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                     </div>
                 </div>
             </div>
        </div>

    </div>
    <app-footer></app-footer>
</div>


<!-- /Main Content -->